org.springframework.data.repository.init

## Class UnmarshallerRepositoryPopulatorFactoryBean

- java.lang.Object
- - org.springframework.beans.factory.config.AbstractFactoryBean<ResourceReaderRepositoryPopulator>
  - - org.springframework.data.repository.init.AbstractRepositoryPopulatorFactoryBean
    - - org.springframework.data.repository.init.UnmarshallerRepositoryPopulatorFactoryBean

All Implemented Interfaces:
  EventListener, Aware, BeanClassLoaderAware, BeanFactoryAware, DisposableBean, FactoryBean<ResourceReaderRepositoryPopulator>, InitializingBean, ApplicationContextAware, ApplicationListener<ContextRefreshedEvent>

    public class UnmarshallerRepositoryPopulatorFactoryBean
    extends AbstractRepositoryPopulatorFactoryBean

`FactoryBean` to create a `ResourceReaderRepositoryPopulator` using an `Unmarshaller`.

Author:
  Oliver Gierke, Christoph Strobl

### Field Summary

### Fields inherited from class org.springframework.beans.factory.config.AbstractFactoryBean

`logger`

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

### Constructor Summary

Constructors
Constructor and Description
`UnmarshallerRepositoryPopulatorFactoryBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `afterPropertiesSet()`
`protected ResourceReader` `getResourceReader()`
`void` `setUnmarshaller(Unmarshaller unmarshaller)` Configures the `Unmarshaller` to be used.

### Methods inherited from class org.springframework.data.repository.init.AbstractRepositoryPopulatorFactoryBean

`createInstance, getObjectType, onApplicationEvent, setApplicationContext, setResources`

### Methods inherited from class org.springframework.beans.factory.config.AbstractFactoryBean

`destroy, destroyInstance, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.context.ApplicationListener

`forPayload`

### Constructor Detail

#### UnmarshallerRepositoryPopulatorFactoryBean

    public UnmarshallerRepositoryPopulatorFactoryBean()

### Method Detail

#### setUnmarshaller

    public void setUnmarshaller(Unmarshaller unmarshaller)

Configures the `Unmarshaller` to be used.

Parameters:
  `unmarshaller` - the unmarshaller to set

#### getResourceReader

    protected ResourceReader getResourceReader()

Specified by:
  `getResourceReader` in class `AbstractRepositoryPopulatorFactoryBean`

#### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

Specified by:
  `afterPropertiesSet` in interface `InitializingBean`
Overrides:
  `afterPropertiesSet` in class `AbstractRepositoryPopulatorFactoryBean`
Throws:
  `Exception`